Open CASCADE Technology: QANewModTopOpe_Intersection Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
QANewModTopOpe_Intersection Class Reference

provides intersection of two shapes; More...

`#include <QANewModTopOpe_Intersection.hxx>`

Inheritance diagram for QANewModTopOpe_Intersection:
[legend]

## Public Member Functions
| QANewModTopOpe_Intersection (const TopoDS_Shape &theObject1, const TopoDS_Shape &theObject2)
virtual const TopTools_ListOfShape & | Generated (const TopoDS_Shape &theS)
| Returns the list of shapes generated from the shape <S>. More...
virtual Standard_Boolean | HasGenerated () const
| Returns true if there is at least one generated shape. For use in BRepNaming. More...
virtual Standard_Boolean | IsDeleted (const TopoDS_Shape &aS)
| Returns true if the shape S has been deleted. The result shape of the operation does not contain the shape S. More...
virtual Standard_Boolean | HasDeleted () const
| Returns true if there is at least one deleted shape. For use in BRepNaming. More...
Public Member Functions inherited from BRepAlgoAPI_BooleanOperation
void | SetOperation (const BOPAlgo_Operation anOp)
| Sets the type of Boolean operation to perform It can be BOPAlgo_SECTION BOPAlgo_COMMON BOPAlgo_FUSE BOPAlgo_CUT BOPAlgo_CUT21. More...
virtual void | Build ()
| Provides the algorithm of Boolean Operations. More...
const TopoDS_Shape & | Shape1 () const
| Returns the first shape involved in this Boolean operation. More...
const TopoDS_Shape & | Shape2 () const
| Returns the second shape involved in this Boolean operation. More...
BOPAlgo_Operation | Operation () const
| Returns the type of Boolean Operation that has been performed. More...
Standard_Boolean | FuseEdges () const
| Returns the flag of edge refining. More...
void | RefineEdges ()
| Fuse C1 edges. More...
Standard_Boolean | BuilderCanWork () const
Standard_Integer | ErrorStatus () const
| Returns the error status of operation. 0 - Ok 1 - The Object is created but Nothing is Done 2 - Null source shapes is not allowed 3 - Check types of the arguments 4 - Can not allocate memory for the DSFiller 5 - The Builder can not work with such types of arguments 6 - Unknown operation is not allowed 7 - Can not allocate memory for the Builder 100 - See the Builder's ErrorStatus More...
virtual const TopTools_ListOfShape & | Modified (const TopoDS_Shape &aS)
| Returns the list of shapes modified from the shape <S>. More...
virtual Standard_Boolean | HasModified () const
| Returns true if there is at least one modified shape. For use in BRepNaming. More...
void | Destroy ()
virtual | ~BRepAlgoAPI_BooleanOperation ()
const TopTools_ListOfShape & | SectionEdges ()
| Returns a list of section edges. The edges represent the result of intersection between arguments of Boolean Operation. They are computed during operation execution. More...
Public Member Functions inherited from BRepBuilderAPI_MakeShape
virtual void | Delete ()
virtual | ~BRepBuilderAPI_MakeShape ()
const TopoDS_Shape & | Shape () const
| Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built. More...
| operator TopoDS_Shape () const
Public Member Functions inherited from BRepBuilderAPI_Command
virtual | ~BRepBuilderAPI_Command ()
virtual Standard_Boolean | IsDone () const
void | Check () const
| Raises NotDone if done is false. More...

## Additional Inherited Members
Protected Member Functions inherited from BRepAlgoAPI_BooleanOperation
| BRepAlgoAPI_BooleanOperation (const TopoDS_Shape &S1, const TopoDS_Shape &S2, const BOPAlgo_Operation anOperation)
| Prepares the operations for S1 and S2. More...
| BRepAlgoAPI_BooleanOperation (const TopoDS_Shape &S1, const TopoDS_Shape &S2, const BOPAlgo_PaveFiller &aDSF, const BOPAlgo_Operation anOperation)
| Prepares the operations for S1 and S2. More...
Standard_Boolean | PrepareFiller ()
Protected Member Functions inherited from BRepBuilderAPI_MakeShape
| BRepBuilderAPI_MakeShape ()
Protected Member Functions inherited from BRepBuilderAPI_Command
| BRepBuilderAPI_Command ()
| Set done to False. More...
void | Done ()
| Set done to true. More...
void | NotDone ()
| Set done to false. More...
Protected Attributes inherited from BRepAlgoAPI_BooleanOperation
TopoDS_Shape | myS1
TopoDS_Shape | myS2
Standard_Boolean | myBuilderCanWork
BOPAlgo_Operation | myOperation
Standard_Integer | myErrorStatus
BOPAlgo_PPaveFiller | myDSFiller
BOPAlgo_PBuilder | myBuilder
Protected Attributes inherited from BRepBuilderAPI_MakeShape
TopoDS_Shape | myShape
TopTools_ListOfShape | myGenerated

## Detailed Description

provides intersection of two shapes;

## Constructor & Destructor Documentation

QANewModTopOpe_Intersection::QANewModTopOpe_Intersection | ( | const TopoDS_Shape & | theObject1,
|  | const TopoDS_Shape & | theObject2
| ) |  |

## Member Function Documentation

virtual const TopTools_ListOfShape& QANewModTopOpe_Intersection::Generated | ( | const TopoDS_Shape & | theS | ) |
| virtual

Returns the list of shapes generated from the shape <S>.

Reimplemented from BRepAlgoAPI_BooleanOperation.

virtual Standard_Boolean QANewModTopOpe_Intersection::HasDeleted | ( |  | ) | const
| virtual

Returns true if there is at least one deleted shape. For use in BRepNaming.

Reimplemented from BRepAlgoAPI_BooleanOperation.

virtual Standard_Boolean QANewModTopOpe_Intersection::HasGenerated | ( |  | ) | const
| virtual

Returns true if there is at least one generated shape. For use in BRepNaming.

Reimplemented from BRepAlgoAPI_BooleanOperation.

virtual Standard_Boolean QANewModTopOpe_Intersection::IsDeleted | ( | const TopoDS_Shape & | aS | ) |
| virtual

Returns true if the shape S has been deleted. The result shape of the operation does not contain the shape S.

Reimplemented from BRepAlgoAPI_BooleanOperation.

The documentation for this class was generated from the following file:

- QANewModTopOpe_Intersection.hxx